class ParserFootnote
  attr_reader :role
  attr_reader :type

  def parse(reader, file='', dir='')

    @role = reader['xlink:role'].to_sym
    @type = reader['xlink:type'].to_sym
    
    reader.next
    self
  end

  def to_s
    "role='#{@role.to_s}' type='#{@type}'"
  end

end